* {
    margin: 0;
}

body {
    font-family: 'Poppins', sans-serif;
}



.navbar {
    width: 100%;
    height: 50px;
    background-color: black;
}

.navbar-container {
    display: flex;
    padding: 0 50px;
    align-items: center;
    height: 100%;
    color: white;

}

.logo-container {
    flex: 1;
}

.logo {
    font-size: 30px;
    color: #4dbf00;    

}

.menu-container {
    flex: 6;
}

.menu-list {
    display: flex;
    list-style: none;
}

.menu-list-item {
    margin-right: 30px;
}

.menu-list-item.active {
    font-weight: bolder;
    border-bottom: 3px solid #4dbf00;
    
}

.profile-container {
    flex: 2;
    display: flex; 
    align-items: center;
    justify-content: flex-end;
}

.profile-picture {
    height: 10%;
    width: 10%;
    border-radius: 90%;
    object-fit: fill;
    margin-right: 10px;
}

.toggle {
    background-color: white;
    width: 40px;
    height: 20px;
    border: 1px solid gray;
    border-radius: 20px;
    margin-left: 20px;
    display: flex;
    align-items: center;
    justify-content: space-around;
    position: relative;
}

.toogle-icon {
    color: #4dbf00;
}

.toogle-ball {
    background-color: black;
    border-radius: 50%;
    height: 18px;
    width: 18px;
    position: absolute;
    right: 1px;
    cursor: pointer;
}

.sidebar {
    width: 50px;
    height: 100%;
    background-color: black;
    position: fixed;
    top: 0;
    color: white;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding-top: 60px
}

.left-menu-icon {
    margin-bottom: 40px;
}

.container {
    background-color: #151515;
    min-height: calc(100vh - 50px);
    color: white;
}

.content-container {
    height: 100%;
    margin-left: 50px;
}

.featured-content {
    height: 40vh;
    background-color: salmon;
    padding-top: 25px;
    padding-left: 25px;
}

.featured-title {
    font-size: 50px;
    
}

.featured-desc {
    width: 400px;
}

.featured-button {
    margin-top: 20px;
    height: 30px;
    width: 100px;
    border-radius: 10px;
    background-color: #4dbf00;
    color: white;
    border: 1px solid #4dbf00;
    font-weight: bold;
}

.movie-list-container {
    position: relative;
    overflow-x: hidden;
}

.movie-list  {
    display: flex;
    transform: translateX(0);
    transition: all 1s ease;

}

.movie-list-item {
    height: 30vh;
    width: 20vh;
    margin-right: 10px;
    
}

.movie-list-item-img {
    width: 20vh;
    height: 28vh;
    object-fit:fill;
    transition: all 1s ease-in-out;
    border-radius: 5px;
}

.movie-list-item .movie-list-item-img:hover {
    transform: scale(1.1);
}

.arrow {
    font-size: 80px;
    position: absolute;
    top: 90px;
    right: 0;
    color: lightgray;
    opacity: .5;
    cursor: pointer;
}

.navbar.active {
    background-color: white;
}
.navbar-container.active {
    color: black
}

.sidebar.active {
    background-color: white;
}

.left-menu-icon.active {
    color: black;
}

.container.active {
    background-color: white;
}

.movie-list-item {
    color: white;

}

.movie-list-title.active {
    color: black;
}

.toogle-ball.active {
    transform: translateX(-20px)
}

@media only screen and (max-width: 940px) {
    .menu-container{
        display: none;
    }
}